extends CharacterBody2D

const SPEED = 3.0
var Progress
var direction: Vector2
var animationFinished: bool = false



func _on_intro_animation_animation_finished(anim_name: StringName) -> void:
	animationFinished = true

func _physics_process(delta: float) -> void:
	#Handles movement
	if animationFinished:
		direction = Input.get_vector("moveLeft", "moveRight", "moveUp", "moveDown")
		move_and_collide(direction * SPEED)
